Bug 640360 (CVE-2010-3259)

Summary: CVE-2010-3259 webkit: cross-origin image theft
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: kevin, martin.sourada, mathstuf, mtasaka, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20100902,reported=20100907,source=cve,impact=moderate,cvss2=3.7/AV:L/AC:H/Au:N/C:P/I:P/A:P,rhel-6/webkitgtk=affected,fedora-all/webkitgtk=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-07 07:03:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 640382, 640385, 640386    
Bug Blocks:    

Description Vincent Danen 2010-10-05 16:20:32 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-3259 to
the following vulnerability:

Google Chrome before 6.0.472.53 does not properly restrict read access to images, which allows remote attackers to bypass the Same Origin Policy and obtain potentially sensitive information via unspecified vectors.

References:

* Chrome bug: http://code.google.com/p/chromium/issues/detail?id=53001
* Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=44399
* Trac: http://trac.webkit.org/changeset/65826

This issue has been corrected in WebKitGTK 1.2.5.

Comment 1 Vincent Danen 2010-10-05 17:19:39 UTC
Created webkitgtk tracking bugs for this issue

Affects: fedora-all [bug 640382]

Comment 3 errata-xmlrpc 2011-01-25 17:07:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0177 https://rhn.redhat.com/errata/RHSA-2011-0177.html